// 使用crc16
import 'dart:typed_data';

int crc16(Uint8List data) {
  int crc = 0;
  for (int byte in data) {
    crc = (crc ^ byte) & 0xFFFF;
    for (int i = 0; i < 8; i++) {
      if ((crc & 0x0001) != 0) {
        crc = ((crc >> 1) ^ 0xA001) & 0xFFFF;
      } else {
        crc = (crc >> 1) & 0xFFFF;
      }
    }
  }
  return crc;
}

